package com.atguigu.cart.service;

import com.atguigu.spzx.model.entity.h5.CartInfo;

import java.util.List;

public interface CartService {
    /**
     * 添加购物车
     *
     * @param skuId  商品的ID值
     * @param skuNum 商品数量
     */
    void addToCart(Long skuId, Integer skuNum);

    /**
     * 查询购物车
     *
     * @return 购物车列表
     */
    List<CartInfo> getCartList();

    /**
     * 删除购物车商品
     *
     * @param skuId 商品的ID值
     */
    void deleteCart(Long skuId);

    /**
     * 更新购物车商品选中状态
     *
     * @param skuId     商品的ID值
     * @param isChecked 是否选中
     */
    void checkCart(Long skuId, Integer isChecked);

    /**
     * 更新购物车商品全部选中状态
     *
     * @param isChecked 是否选中
     */
    void allCheckCart(Integer isChecked);

    /**
     * 清空购物车
     */
    void clearCart();

    /**
     * 选中的购物车
     *
     * @return CartInfo列表
     */
    List<CartInfo> getAllChecked();
}
