package com.atguigu.order.service.impl;

import com.atguigu.order.service.OrderInfoService;
import com.atguigu.order.service.module.OrderInfoServiceModule;
import com.atguigu.spzx.model.entity.order.OrderItem;
import com.atguigu.spzx.model.vo.h5.TradeVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;

@Service
@Slf4j
public class OrderInfoServiceImpl implements OrderInfoService {
    @Autowired
    private OrderInfoServiceModule orderInfoServiceModule;

    /**
     * 确认下单
     *
     * @return 结算实体类
     */
    @Override
    public TradeVo getTrade() {
        // 远程调用获取购物车中商品列表
        ArrayList<OrderItem> orderItems = orderInfoServiceModule.getOrderItems();
        // 计算总金额
        BigDecimal totalAmount;
        totalAmount = orderItems.stream()
                .map(orderItem -> orderItem.getSkuPrice().multiply(new BigDecimal(orderItem.getSkuNum())))
                .reduce(BigDecimal.ZERO, BigDecimal::add);

        TradeVo tradeVo = new TradeVo();
        tradeVo.setOrderItemList(orderItems);
        tradeVo.setTotalAmount(totalAmount);

        return tradeVo;
    }
}
